Bulletin d'alerte Debian

DSA-1061-1 popfile -- Mauvaise vérification des entrées

Date du rapport :
19 mai 2006
Paquets concernés :
popfile
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 354464.
Dans le dictionnaire CVE du Mitre : CVE-2006-0876.
Plus de précisions :

On a découvert que popfile, un filtre bayésien de courriels, pouvait être interrompu en traitant des courriels contenant des groupes de caractères mal formés, constituant un déni de service.

L'ancienne distribution stable (Woody) ne contient pas le paquet popfile.

Pour l'actuelle distribution stable (Sarge), ce problème a été corrigé dans la version 0.22.2-2sarge1.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 0.22.4-1.

Nous vous recommandons de mettre à jour votre paquet popfile.

Corrigé dans :

Debian GNU/Linux 3.1 (sarge)

Source :
http://security.debian.org/pool/updates/main/p/popfile/popfile_0.22.2-2sarge1.dsc
http://security.debian.org/pool/updates/main/p/popfile/popfile_0.22.2-2sarge1.diff.gz
http://security.debian.org/pool/updates/main/p/popfile/popfile_0.22.2.orig.tar.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/p/popfile/popfile_0.22.2-2sarge1_all.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.